print_color() {
local color=$1
shift
echo -e "\033[${color}m$@\033[0m"
}
if [ "$(id -u)" -ne 0 ]; then
print_color 31 "请使用Root权限执行！"
exit 1
fi
print_color 36 "加入官方频道：Telegram@BCNB6"
game_pid=$(pgrep -f "^com.tencent.igce$")
if [ -z "$game_pid" ]; then
print_color 36 "游戏未运行，正在启动游戏..."
am start -n com.tencent.igce/com.epicgames.ue4.SplashActivity
print_color 36 "游戏已启动成功。"
sleep 0.5
game_pid=$(pgrep -f "^com.tencent.igce$")
if [ -z "$game_pid" ]; then
print_color 31 "游戏启动失败，请检查游戏是否已正确安装。"
exit 1
fi
else
print_color 36 "游戏已经在运行，无需再次启动。"
fi
rm -rf /data/data/com.tencent.igce/libBC.so
rm -rf /data/data/com.tencent.igce/inject
print_color 36 "[+] 动态库&劫持文件已清理完毕。"
print_color 35 "正在写入动态库&劫持文件..."
cp -f libBC.so /data/data/com.tencent.igce/
chmod 777 /data/data/com.tencent.igce/libBC.so
cp -f inject /data/data/com.tencent.igce/
chmod 777 /data/data/com.tencent.igce/inject
if [ -f /data/data/com.tencent.igce/libBC.so ] && [ "$(stat -c '%a' /data/data/com.tencent.igce/libBC.so)" = "777" ] && [ -f /data/data/com.tencent.igce/inject ] && [ "$(stat -c '%a' /data/data/com.tencent.igce/inject)" = "777" ]; then
print_color 36 "[+] 动态库&劫持文件已写入！"
else
print_color 31 "[-] 动态库&劫持文件不存在！"
exit 1
fi
echo -e "\033[33;31m**************************************\033[0m"
echo "[+] 开始注入！"
sleep 0.5
echo -e "\033[33;31m**************************************\033[0m"
sleep 0.5
echo "[+] 执行输出："
/data/data/com.tencent.igce/inject -n com.tencent.igce -so /data/data/com.tencent.igce/libBC.so
print_color 36 "[+] 注入已完毕。"
rm -rf /data/data/com.tencent.igce/libBC.so
rm -rf /data/data/com.tencent.igce/inject
print_color 36 "[+] 动态库&劫持文件已清理完毕。"